> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all unit owners



## OpenAPI

````yaml openapi-core.json GET /v1/unit_owners
openapi: 3.1.0
info:
  title: Yorlet Core API
  description: Core platform APIs including buildings, customers, units, and tasks.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/unit_owners:
    get:
      tags:
        - Unit Owners
      summary: List all unit owners
      operationId: unit_owners_list
      responses:
        '200':
          description: A object with a data property that contains an array of unit owners.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - unit_owner
                        active_at:
                          type:
                            - number
                            - 'null'
                          description: The time at which the ownership became active.
                        archived_at:
                          type:
                            - number
                            - 'null'
                          description: The time at which the ownership was archived.
                        assignee:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The ID of the user the unit ownership is assigned
                            to.
                        blind_delivery:
                          type: object
                          additionalProperties: {}
                          description: Blind delivery details for the unit ownership.
                        contract:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The ID of the contract associated with the unit
                            ownership.
                        description:
                          type:
                            - string
                            - 'null'
                          description: >-
                            An arbitrary description attached to the unit
                            ownership.
                        external_account:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: >-
                            The external account funds for this ownership are
                            paid out to.
                        follow_up:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The time at which the unit ownership should be
                            followed up on.
                        furniture_delivery:
                          type: object
                          additionalProperties: {}
                          description: Furniture delivery details for the unit ownership.
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: string
                          description: >-
                            Set of key-value pairs that you can attach to an
                            object. This can be useful for storing additional
                            information about the object in a structured format.
                        negotiating_status:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The current negotiating status for the unit
                            ownership.
                        owner:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                          description: The owner that holds the unit.
                        ownership_ended:
                          type:
                            - object
                            - 'null'
                          properties:
                            at:
                              type:
                                - number
                                - 'null'
                              description: The time at which the unit ownership ended.
                            reason:
                              type:
                                - string
                                - 'null'
                              enum:
                                - lost_instruction
                                - sold_unit
                                - moved_in
                                - lost_negotiation
                                - other
                                - null
                              description: The reason the unit ownership ended.
                            description:
                              type:
                                - string
                                - 'null'
                              description: >-
                                A free-form description of why the unit
                                ownership ended.
                          required:
                            - at
                            - reason
                            - description
                          description: >-
                            Details of why and when the unit ownership ended.
                            `null` while the ownership is still active.
                        ownership_started_at:
                          type:
                            - number
                            - 'null'
                          description: The time at which the unit ownership started.
                        percent_ownership:
                          type:
                            - number
                            - 'null'
                          description: The percentage of the unit owned by this owner.
                        pending_contract_at:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The time at which the unit ownership entered a
                            pending contract state.
                        signed_at:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The time at which the unit ownership contract was
                            signed.
                        status:
                          type: string
                          enum:
                            - active
                            - archived
                            - negotiating
                            - pending
                            - pending_contract_generation
                            - pending_contract
                            - signed
                          default: active
                          description: The status of the unit ownership.
                        tos_acceptance:
                          type: object
                          properties:
                            date:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The time at which the terms of service were
                                accepted.
                            ip:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The IP address from which the terms of service
                                were accepted.
                          required:
                            - date
                            - ip
                          description: >-
                            Details of the owner's acceptance of the terms of
                            service.
                        unit:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                          description: The unit the ownership is associated with.
                      required:
                        - id
                        - created
                        - object
                        - owner
                        - unit
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````